Bug 150715 - forcedeth driver does not appear to work during pxe/NFS install
forcedeth driver does not appear to work during pxe/NFS install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-09 17:12 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 12:24:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-03-09 17:12:28 EST
Description of problem:

Not sure if this is anaconda or kernel.  Trying to install from FC
development on a GA-K8NXP-SLI motherboard over the on board nForce
ethernet.  Using PXE to boot and having the kickstart file reside on
an nfs server.

anaconda logs:

loaded forcedeth from /modules/modules.cgz
inserted /tmp/forcedeth.ko
load module set done
getting kickstart file
no network devices in choose network device
no network drivers for doing kickstart
unable to bring up network

kernel log:

<6>eth0: forcedeth.c: subsystem: 01458:e000 bound to 0000:00:0a.0


Version-Release number of selected component (if applicable):
anaconda-10.2.0.25-1

How reproducible:
Everytime
Comment 1 Orion Poplawski 2005-03-11 18:32:48 EST
Leaning towards anaconda issues.  I installed FC3 using another NIC I added to
the system.  Once up, the nForce NIC works fine with the forcedeth driver.  In
fact, it was already configured.
Comment 2 Jeremy Katz 2005-03-14 13:10:35 EST
Can you provide lspci/lspci -n for the system?
Comment 3 Orion Poplawski 2005-03-14 13:20:58 EST
[root@phlebas ~]# lspci
00:00.0 Memory controller: nVidia Corporation CK804 Memory Controller
(rev a3)
00:01.0 ISA bridge: nVidia Corporation: Unknown device 0050 (rev a3)
00:01.1 SMBus: nVidia Corporation CK804 SMBus (rev a2)
00:02.0 USB Controller: nVidia Corporation CK804 USB Controller (rev a2)
00:02.1 USB Controller: nVidia Corporation CK804 USB Controller (rev a3)
00:04.0 Multimedia audio controller: nVidia Corporation CK804 AC'97
Audio Controller (rev a2)
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev a2)
00:07.0 IDE interface: nVidia Corporation CK804 Serial ATA Controller
(rev a3)
00:09.0 PCI bridge: nVidia Corporation CK804 PCI Bridge (rev a2)
00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)
00:0b.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0c.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0d.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:0e.0 PCI bridge: nVidia Corporation CK804 PCIE Bridge (rev a3)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8
[Athlon64/Opteron] Miscellaneous Control
01:07.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100]
(rev 08)
01:08.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host
Controller (rev 46)
01:0a.0 FireWire (IEEE 1394): Texas Instruments TSB82AA2 IEEE-1394b
Link Layer Controller (rev 01)
02:00.0 Ethernet controller: Marvell Technology Group Ltd. Marvell
Yukon 88E8053 Gigabit Ethernet 10/100/1000Base-T Adapter (rev 19)
05:00.0 VGA compatible controller: nVidia Corporation: Unknown device
0141 (rev a2)
[root@phlebas ~]# lspci -n
00:00.0 Class 0580: 10de:005e (rev a3)
00:01.0 Class 0601: 10de:0050 (rev a3)
00:01.1 Class 0c05: 10de:0052 (rev a2)
00:02.0 Class 0c03: 10de:005a (rev a2)
00:02.1 Class 0c03: 10de:005b (rev a3)
00:04.0 Class 0401: 10de:0059 (rev a2)
00:06.0 Class 0101: 10de:0053 (rev a2)
00:07.0 Class 0101: 10de:0054 (rev a3)
00:09.0 Class 0604: 10de:005c (rev a2)
00:0a.0 Class 0680: 10de:0057 (rev a3)
00:0b.0 Class 0604: 10de:005d (rev a3)
00:0c.0 Class 0604: 10de:005d (rev a3)
00:0d.0 Class 0604: 10de:005d (rev a3)
00:0e.0 Class 0604: 10de:005d (rev a3)
00:18.0 Class 0600: 1022:1100
00:18.1 Class 0600: 1022:1101
00:18.2 Class 0600: 1022:1102
00:18.3 Class 0600: 1022:1103
01:07.0 Class 0200: 8086:1229 (rev 08)
01:08.0 Class 0c00: 1106:3044 (rev 46)
01:0a.0 Class 0c00: 104c:8025 (rev 01)
02:00.0 Class 0200: 11ab:4362 (rev 19)
05:00.0 Class 0300: 10de:0141 (rev a2)
Comment 4 Jeremy Katz 2005-03-14 13:33:32 EST
The device isn't presenting itself as PCI_CLASS_NETWORK
Comment 6 John W. Linville 2005-10-06 13:35:31 EDT
What needs to happen is for the BIOS vendor to write the registers to reflect 
the correct PCI class.  This can be done by clearing bit 6 of the register at 
offset 0xf8 in PCI config space. 
 
This is outside of my control.  Anything I can do is really just a hack, and 
is unwelcome upstream.  I beg you to contact your motherboard vendor to ask 
for a BIOS upgrade with such a fix. 
Comment 7 Orion Poplawski 2006-02-21 17:18:45 EST
Okay, I'm seeing this issue again on a new system:

ASUS A8N-VM Motherboard
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a1)
00:14.0 0680: 10de:0269 (rev a1)

I think I've tracked it down this time to not having a network line in my
kickstart file.

I'm booting via PXE with:

kernel fc5.x86_64/vmlinuz
append root=/dev/ram initrd=fc5.x86_64/initrd.img
ks=nfs:saga:/export/data1/ks/fc5t3.cfg

fc5t3.cfg:
install
text
nfs --server=saga --dir=/export/data1/fedora/core/test/4.92/x86_64/os
network --bootproto=dhcp
timezone America/Denver
clearpart --linux --drives=sda

If I omit the network line above, the install fails and lines like that seen in
the original report are seen.  I'm asked for a set of drivers, for forcedeth is
not listed.  Perhaps this is an anaconda configuration issue in that it doesn't
know about the forcedeth driver?
Comment 9 Jeremy Katz 2006-02-23 11:31:51 EST
We include forcedeth in the initrd and have "improved" the kudzu hack for the
broken hardware to do the workaround on all nvidia bridges that use the
forcedeth driver.

But if you don't include a network line, then asking for network configuration
on a kickstart is the right thing to do. 

What _exactly_ are the symptoms you're seeing? 
Comment 10 Orion Poplawski 2006-02-23 12:24:30 EST
I don't seem be able to reporduce the issue again.  Sorry.

Note You need to log in before you can comment on or make changes to this bug.